<?php

namespace Lc\CaracoleBundle\Controller\Site;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\Site\PageFactory;
use Lc\CaracoleBundle\Resolver\SectionResolver;
use Lc\SovBundle\Container\Site\PageContainer;
use Lc\SovBundle\Controller\Site\PageAdminController as SovPageAdminController;

abstract class PageAdminController extends SovPageAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        return $this->get(PageContainer::class)
                ->getFactory()
                ->setSection($this->get(SectionResolver::class)->getCurrent())
                ->create();
    }
}
