<?php

namespace Lc\CaracoleBundle\Factory\Address;

use App\Entity\Address\Address;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Address\AddressInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class AddressFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): AddressInterface
    {
        $address = new Address();

        $address->setMerchant($this->merchant);

        return $address;
    }

}
