<?php

namespace Lc\CaracoleBundle\Factory\File;

use App\Entity\File\Document;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Address\AddressInterface;
use Lc\CaracoleBundle\Model\File\DocumentInterface;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\User\UserInterface;

class DocumentFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(string $type): DocumentInterface
    {
        $document = new Document();

        $document->setMerchant($this->merchant);
        $document->setType($type);
        $document->setTitle('');
        $document->setStatus(1);

        return $document;
    }

}