<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCatalog;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCatalogInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCatalogFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): ReductionCatalogInterface
    {
        $reductionCatalog = new ReductionCatalog();

        $reductionCatalog->setMerchant($this->merchant);

        return $reductionCatalog;
    }

}
