<?php

namespace Lc\CaracoleBundle\Repository\Merchant;

use Knp\Component\Pager\PaginatorInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;

class MerchantRepositoryQuery extends AbstractRepositoryQuery
{
    public function __construct(MerchantRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'r', $paginator);
    }

    public function filterByDevAlias(string $devAlias)
    {
        return $this->andWhere('.devAlias LIKE :devAlias')
                ->setParameter('devAlias', $devAlias);
    }

}
