<?php

namespace Lc\CaracoleBundle\Repository;

use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Section\SectionInterface;

trait MerchantRepositoryQueryTrait
{
    public function filterByMerchant(MerchantInterface $merchant)
    {
        return  $this->andWhere('.merchant = :merchant')->setParameter(':merchant', $merchant);
    }
}
