<?php

namespace Lc\CaracoleBundle\Repository\Product;

use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\CaracoleBundle\Model\Product\ProductFamilyModel;
use Lc\CaracoleBundle\Repository\SectionStoreTrait;
use Lc\CaracoleBundle\Resolver\Price\PriceResolver;
use Lc\CaracoleBundle\Solver\Price\PriceSolver;
use Lc\SovBundle\Repository\AbstractStore;

class ProductFamilyStore extends AbstractStore
{
    use SectionStoreTrait;

    protected ProductFamilyRepositoryQuery $query;
    protected PriceSolver $priceSolver;

    public function __construct(ProductFamilyRepositoryQuery $query, PriceSolver $priceSolver)
    {
        $this->query = $query;
        $this->priceSolver = $priceSolver;
    }
}
