<?php

namespace Lc\CaracoleBundle\Repository\Site;

use Lc\CaracoleBundle\Repository\MerchantRepositoryQueryTrait;
use Lc\CaracoleBundle\Repository\SectionRepositoryQueryTrait;
use Lc\CaracoleBundle\Repository\StatusRepositoryQueryTrait;
use Lc\SovBundle\Repository\Site\PageRepositoryQuery as SovPageRepositoryQuery;

class PageRepositoryQuery extends SovPageRepositoryQuery
{
    use SectionRepositoryQueryTrait;
    use StatusRepositoryQueryTrait;

    public function filterByDevAlias(string $devAlias): self
    {
        return $this
            ->andWhere('.devAlias = :devAlias')
            ->setParameter('devAlias', $devAlias);
    }

}
