<?php

namespace Lc\CaracoleBundle\Factory\PointSale;

use App\Entity\PointSale\PointSale;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class PointSaleFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): PointSaleInterface
    {
        $pointSale = new PointSale();

        $pointSale->addMerchant($this->merchant);

        return $pointSale;
    }

}
