<?php

namespace Lc\CaracoleBundle\Factory\Reduction;

use App\Entity\Reduction\ReductionCart;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\Reduction\ReductionCartInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ReductionCartFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): ReductionCartInterface
    {
        $reductionCart = new ReductionCart();

        $reductionCart->setMerchant($this->merchant);

        return $reductionCart;
    }

}
