<?php

namespace Lc\CaracoleBundle\Factory\Section;

use App\Entity\Section\Section;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class SectionFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    public function create(): SectionInterface
    {
        $section = new Section();

        $section->setMerchant($this->merchant);

        return $section;
    }

}
