<?php

namespace Lc\CaracoleBundle\Factory\User;

use App\Entity\User\UserMerchant;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\User\UserMerchantInterface;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\User\UserInterface;

class UserMerchantFactory extends AbstractFactory
{
    use MerchantFactoryTrait;

    // createUserMerchant
    public function create(UserInterface $user = null): UserMerchantInterface
    {
        $userMerchant = new UserMerchant();

        $userMerchant->setMerchant($this->merchant);
        $userMerchant->setUser($user);

        return $userMerchant;
    }
}
