<?php

namespace Lc\CaracoleBundle\Repository\User;

use Knp\Component\Pager\PaginatorInterface;
use Lc\SovBundle\Repository\AbstractRepositoryQuery;

class VisitorRepositoryQuery extends AbstractRepositoryQuery
{
    public function __construct(VisitorRepository $repository, PaginatorInterface $paginator)
    {
        parent::__construct($repository, 'r', $paginator);
    }

    public function filterByCookie(string $cookie)
    {
        return $this
                ->andWhere('.cookie LIKE :cookie')
                ->setParameter('cookie', $cookie);
    }
}
