<?php

namespace Lc\CaracoleBundle\Repository\User;

use Lc\SovBundle\Repository\AbstractStore;

class VisitorStore extends AbstractStore
{
    protected VisitorRepositoryQuery $query;

    public function __construct(VisitorRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getOneByCookie(string $cookie)
    {
        $query = $this->query->create();

        $query->filterByCookie($cookie);

        return $query->findOne();
    }
}
